***

title: get_chunk
slug: /reference/python/rest/datasphere/get-chunk
description: Retrieve a specific chunk from a document.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a specific chunk from a document.

<EndpointSchemaSnippet endpoint="GET /api/datasphere/documents/{documentId}/chunks/{chunkId}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/datasphere/documents/{documentId}/chunks/{chunkId}" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

chunk = client.datasphere.documents.get_chunk("document-id", "chunk-id")
print(chunk.get("text"))
```